svn 1.6 not detected by visual studio plugin

Hello,

I've just update my svn server and client command line to Subversion 1.6 and I can't run personal build.
I get the following message "Failed to run Subversion process. Please check Subversion settings."

But when I come into the Subversion Settings it doesn't allow me selectiong the new svn.exe file. ("Unabled to use selected svn.exe from "D:\App\Collabnet Subversion Client\svn.exe")

I cannot not revert my svn command line to 1.4 because it shows "client is too old"

svn, version 1.6.0 (r36650)
   compiled Mar 26 2009, 08:29:37

Copyright (C) 2000-2009 CollabNet.
Subversion is open source software, see http://subversion.tigris.org/
This product includes software developed by CollabNet (http://www.Collab.Net/).

The following repository access (RA) modules are available:

* ra_neon : Module for accessing a repository via WebDAV protocol using Neon.
  - handles 'http' scheme
  - handles 'https' scheme
* ra_svn : Module for accessing a repository using the svn network protocol.
  - with Cyrus SASL authentication
  - handles 'svn' scheme
* ra_local : Module for accessing a repository on local disk.
  - handles 'file' scheme
* ra_serf : Module for accessing a repository via WebDAV protocol using serf.
  - handles 'http' scheme
  - handles 'https' scheme


Any idea ?

Thanks.

-:: Pierre-Alain Galtier ::-

4 comments
Comment actions Permalink

I'm having this same problem, and it seems like upgrading the SVN client did it.

On the client, I am running the latest TortoiseSVN version, which is: TortoiseSVN 1.6.0, Build 15855 - 64 Bit , 2009/03/21 12:36:36
Subversion 1.6.0, .

On the server, I am running VisualSVN 1.6 which is not the latest, but it was working).

Thanks for any help.

0
Comment actions Permalink

Ok, I found a workaround using an old (but not too old) version of svn ( v 1.5.6) downloaded here: http://www.collab.net/downloads/subversion/
and it did the job.

0
Comment actions Permalink

We have added support for Subversion 1.6 into TeamCity addin for Visual Studio.
http://www.jetbrains.net/tracker/issue2/TW-7674

Please try usgin build from forthcomming TeamCity 4.1 EAP.

The workaround it to rollback all tools to run as Subversion 1.5.

Thanks.

0

Please sign in to leave a comment.